radiat Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
radiat Module Reference
Collaboration diagram for radiat:

## Public Member Functions
subroutine | init_quadrature (ndirs)
subroutine | finalize_quadrature

## Data Fields
integer, save | iirayo
integer, save | nrphas
integer, save | iimpar
integer, save | iimlum
integer, save | imodak
integer, dimension(1+nclcpm), save | itsre
integer, dimension(1+nclcpm), save | itsri
integer, save | iqx
integer, save | iqy
integer, save | iqz
integer, dimension(1+nclcpm), save | iabs
integer, dimension(1+nclcpm), save | iemi
integer, dimension(1+nclcpm), save | icak
integer, save | ilumin
integer, save | itparo = -1
integer, save | iqinci = -1
integer, save | ixlam = -1
integer, save | iepa = -1
integer, save | ieps = -1
integer, save | ifnet = -1
integer, save | ifconv = -1
integer, save | ihconv = -1
double precision, save | xnp1mx
integer, save | istpp1
integer, save | idiver
integer, save | i_quadrature
integer, save | ndirs
integer, save | ndirec
double precision, dimension(:), allocatable | sx
double precision, dimension(:), allocatable | sy
double precision, dimension(:), allocatable | sz
double precision, dimension(:), allocatable | angsol
integer, save | isuird
integer, save | nfreqr
integer | nbzrdm
integer | nozrdm
integer, save | nozarm
integer, save | nzfrad
integer, dimension(nbzrdm), save | ilzrad
integer | itpimp
integer | ipgrno
integer | iprefl
integer | ifgrno
integer | ifrefl
integer | nbrayf
character *80, dimension(nbrayf), save | nbrvaf
integer, dimension(nbrayf), save | irayvf
integer | itparp
integer | iqincp
integer | ixlamp
integer | iepap
integer | iepsp
integer | ifnetp
integer | ifconp
integer | ihconp

## Member Function/Subroutine Documentation

subroutine finalize_quadrature | ( |  | ) |

subroutine init_quadrature | ( | integer, intent(in) | ndirs | ) |

## Field Documentation

double precision, dimension(:), allocatable angsol

integer, save i_quadrature

integer, dimension(1+nclcpm), save iabs

integer, dimension(1+nclcpm), save icak

integer, save idiver

integer, dimension(1+nclcpm), save iemi

integer, save iepa = -1

integer iepap

integer, save ieps = -1

integer iepsp

integer ifconp

integer, save ifconv = -1

integer ifgrno

integer, save ifnet = -1

integer ifnetp

integer ifrefl

integer ihconp

integer, save ihconv = -1

integer, save iimlum

integer, save iimpar

integer, save iirayo

integer, save ilumin

integer, dimension(nbzrdm), save ilzrad

integer, save imodak

integer ipgrno

integer iprefl

integer, save iqinci = -1

integer iqincp

integer, save iqx

integer, save iqy

integer, save iqz

integer, dimension(nbrayf), save irayvf

integer, save istpp1

integer, save isuird

integer, save itparo = -1

integer itparp

integer itpimp

integer, dimension(1+nclcpm), save itsre

integer, dimension(1+nclcpm), save itsri

integer, save ixlam = -1

integer ixlamp

integer nbrayf

character*80, dimension(nbrayf), save nbrvaf

integer nbzrdm

integer, save ndirec

integer, save ndirs

integer, save nfreqr

integer, save nozarm

integer nozrdm

integer, save nrphas

integer, save nzfrad

double precision, dimension(:), allocatable sx

double precision, dimension(:), allocatable sy

double precision, dimension(:), allocatable sz

double precision, save xnp1mx

The documentation for this module was generated from the following file:

- src/rayt/radiat.f90